Child pages
  • WHM API 1 Functions - modsec_disable_vendor_updates
Skip to end of metadata
Go to start of metadata

Description

This function disables automatic updates for a ModSecurity™ vendor.

Important:

In cPanel & WHM version 76 and later, when you disable the WebServer role, the system disables this function. For more information, read our How to Use Server Profiles documentation.

Examples 



 JSON API
https://hostname.example.com:2087/cpsess##########/json-api/modsec_disable_vendor_updates?api.version=1&vendor_id=example
 XML API
https://hostname.example.com:2087/cpsess##########/xml-api/modsec_disable_vendor_updates?api.version=1&vendor_id=example
 Command Line
whmapi1 modsec_disable_vendor_updates vendor_id=example


Notes:

  • You must URI-encode values.
  • For more information and additional output options, read our Guide to WHM API 1 documentation or run the whmapi1 --help command.
  • If you run CloudLinux™, you must use the full path of the whmapi1 command:

    /usr/local/cpanel/bin/whmapi1

 Output (JSON)
{
    "data": {},
    "metadata": {
        "version": 1,
        "reason": "OK",
        "result": 1,
        "command": "modsec_disable_vendor_updates"
    }
}
 Output (XML)
<result>
  <data/>
  <metadata>
    <version>1</version>
    <reason>OK</reason>
    <result>1</result>
    <command>modsec_disable_vendor_updates</command>
  </metadata>
</result> 


Note:

Use WHM's API Shell interface (WHM >> Home >> Development >> API Shell) to directly test WHM API calls.

Parameters

ParameterTypeDescriptionPossible valuesExample
vendor_idstring

Required

The vendor's unique short name.

A valid string. example

Returns

This function only returns metadata.